JSON for Modern C++ 3.7.3

accept
accept
accept
allocator_type
array
array_t
at
at
at
at
at
at
back
back
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
begin
begin
binary
binary
binary
binary
binary_t
boolean_t
cbegin
cend
clear
const_iterator
const_pointer
const_reference
const_reverse_iterator
contains
contains
count
crbegin
crend
detail::external_constructor
diff
difference_type
dump
emplace
emplace_back
empty
end
end
erase
erase
erase
erase
error_handler_t
exception
find
find
flatten
from_bson
from_bson
from_bson
from_cbor
from_cbor
from_cbor
from_msgpack
from_msgpack
from_msgpack
from_ubjson
from_ubjson
from_ubjson
front
front
get
get
get
get
get
get
get_allocator
get_binary
get_binary
get_ptr
get_ptr
get_ref
get_ref
get_to
get_to
initializer_list_t
input_format_t
insert
insert
insert
insert
insert
insert
insert_iterator
invalid_iterator
is_array
is_binary
is_boolean
is_discarded
is_null
is_number
is_number_float
is_number_integer
is_number_unsigned
is_object
is_primitive
is_string
is_structured
items
items
iterator
iterator_wrapper
iterator_wrapper
json_pointer
json_sax_t
json_serializer
max_size
merge_patch
meta
number_float_t
number_integer_t
number_unsigned_t
object
object_comparator_t
object_t
operator value_t
operator ValueType
operator!=
operator!=
operator!=
operator+=
operator+=
operator+=
operator+=
operator<
operator<
operator<
operator<<
operator<<
operator<=
operator<=
operator<=
operator=
operator==
operator==
operator==
operator>
operator>
operator>
operator>=
operator>=
operator>=
operator>>
operator>>
operator[]
operator[]
operator[]
operator[]
operator[]
operator[]
operator[]
operator[]
other_error
out_of_range
parse
parse
parse
parse_error
parse_event_t
parser_callback_t
patch
pointer
push_back
push_back
push_back
push_back
rbegin
rbegin
reference
rend
rend
reverse_iterator
sax_parse
sax_parse
sax_parse
size
size_type
string_t
swap
swap
swap
swap
swap
swap
to_bson
to_bson
to_bson
to_cbor
to_cbor
to_cbor
to_msgpack
to_msgpack
to_msgpack
to_ubjson
to_ubjson
to_ubjson
type
type_error
type_name
unflatten
update
update
value
value
value
value
value_t
value_type
~basic_json
| ## ◆ operator> [2/3] template<typename ScalarType , typename std::enable_if< std::is_scalar< ScalarType >::value, int >::type = 0>
bool operator> | ( | const_reference | lhs,
|  | const ScalarType | rhs
| ) |  |
| friend
  comparison: greater than Compares whether one JSON value lhs is greater than another JSON value by calculating `not (lhs <= rhs)`. Parameters
  [in] | lhs | first JSON value to consider
  [in] | rhs | second JSON value to consider
  Returns whether lhs is greater than to rhs Complexity Linear. Exception safety No-throw guarantee: this function never throws exceptions. Example The example demonstrates comparing several JSON types. 1 #include <iostream> 2 #include <nlohmann/json.hpp> 3 4 using json = nlohmann::json; 5 6 int main() 7 { 8 // create several JSON values 9 json array_1 = {1, 2, 3}; 10 json array_2 = {1, 2, 4}; 11 json object_1 = {{"A", "a"}, {"B", "b"}}; 12 json object_2 = {{"B", "b"}, {"A", "a"}}; 13 json number_1 = 17; 14 json number_2 = 17.0000000000001L; 15 json string_1 = "foo"; 16 json string_2 = "bar"; 17 18 // output values and comparisons 19 std::cout << std::boolalpha; 20 std::cout << array_1 << " <= " << array_2 << " " << (array_1 <= array_2) << '\n'; 21 std::cout << object_1 << " <= " << object_2 << " " << (object_1 <= object_2) << '\n'; 22 std::cout << number_1 << " <= " << number_2 << " " << (number_1 <= number_2) << '\n'; 23 std::cout << string_1 << " <= " << string_2 << " " << (string_1 <= string_2) << '\n'; 24 } Output (play with this example online):
      [1,2,3] <= [1,2,4] true
      {"A":"a","B":"b"} <= {"A":"a","B":"b"} true
      17 <= 17.0000000000001 true
      "foo" <= "bar" false
  The example code above can be translated with
      g++ -std=c++11 -Isingle_include doc/examples/operator__lessequal.cpp -o operator__lessequal
Since version 1.0.0 Definition at line 22209 of file json.hpp.

nlohmann::json
basic_json<> json
default JSON class
Definition: json.hpp:2774